com.thinkaurelius.titan.graphdb.database

## Class IndexSerializer.IndexRecords

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<com.thinkaurelius.titan.graphdb.database.IndexSerializer.RecordEntry[]>
      - - com.thinkaurelius.titan.graphdb.database.IndexSerializer.IndexRecords

- All Implemented Interfaces:
    Serializable, Cloneable, Iterable<com.thinkaurelius.titan.graphdb.database.IndexSerializer.RecordEntry[]>, Collection<com.thinkaurelius.titan.graphdb.database.IndexSerializer.RecordEntry[]>, List<com.thinkaurelius.titan.graphdb.database.IndexSerializer.RecordEntry[]>, RandomAccess
  Enclosing class:
    IndexSerializer

      public static class IndexSerializer.IndexRecords
      extends ArrayList<com.thinkaurelius.titan.graphdb.database.IndexSerializer.RecordEntry[]>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexSerializer.IndexRecords()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `add(com.thinkaurelius.titan.graphdb.database.IndexSerializer.RecordEntry[] record)`
    `Iterable<Object[]>` | `getRecordValues()`

    - ### Methods inherited from class java.util.ArrayList

      `add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeRange, retainAll, set, size, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

- - ### Constructor Detail

    - #### IndexSerializer.IndexRecords

          public IndexSerializer.IndexRecords()

  - ### Method Detail

    - #### add

          public boolean add(com.thinkaurelius.titan.graphdb.database.IndexSerializer.RecordEntry[] record)

      Specified by:
        `add` in interface `Collection<com.thinkaurelius.titan.graphdb.database.IndexSerializer.RecordEntry[]>`
      Specified by:
        `add` in interface `List<com.thinkaurelius.titan.graphdb.database.IndexSerializer.RecordEntry[]>`
      Overrides:
        `add` in class `ArrayList<com.thinkaurelius.titan.graphdb.database.IndexSerializer.RecordEntry[]>`

    - #### getRecordValues

          public Iterable<Object[]> getRecordValues()

Copyright © 2012–2014. All rights reserved.